from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComSpecialistLicense(UltmarcTable):
    """レイアウト区分010: COM_専門医資格"""
    specialist_cd: str           # 専門医コード
    specialist_license_name: str  # 専門医資格名
    maint_flag: str             # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.specialist_cd = record[1]
        self.maint_flag = record[2]
        self.specialist_license_name = record[5]
